NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
[fixed] PhpED 5.0.1 install problem on Sun server


Joined: 02 Aug 2007
Posts: 12
Location: Hamburg Germany
Reply with quote
1. I have installed PhpED 5.0.1 over an existing 5.0 installation. Installation went fine but then it told me that I need DBG3.2 to use debugging. After copying the new file to PHP extension dir and restarting Apache on Sun Server trouble starts.
When connecting to MySQL Server via PHP using old mysql-functions (mysql_connect, mysql_fetch_array...) Apache Child-prozesses crashes with Segment fault (child pid 4047 exit signal Segmentation fault (11)).
When using PDO MySQL everything works fine.

2. Problem is that SSH-setting in Accounts => Keys are not updated to the new config/openssl folder, that can easily be updated manually, but is an installation bug.

3. Is a problem that only occurs, when you have to reinstall previous version ( as I had to). Because the configuration has moved to new config folder I lost all settings. After copying file from config to PhpED install folder most setting where restored but not syntax-color coding and editor layout

Here is the Sun-Server configuration (from phpinfo)


PHP Version 5.2.2

System SunOS netra 5.9 Generic_122300-08 sun4u
Build Date May 23 2007 12:36:57
Configure Command './configure' '--with-config-file-path=/usr/pkg/etc' '--with-regex=system' '--without-mysql' '--without-sqlite' '--without-iconv' '--disable-posix' '--disable-dom' '--disable-pdo' '--disable-json' '--enable-xml' '--with-libxml-dir=/usr/pkg' '--enable-ipv6' '--with-openssl=/usr/pkg' '--with-apxs2=/usr/pkg/sbin/apxs' '--with-libiconv-prefix=/usr/pkg' '--prefix=/usr/pkg' '--host=sparc-sun-solaris2' '--mandir=/usr/pkg/man'
Server API Apache 2.0 Handler

Apache Version Apache/2.0.59 (Unix) DAV/2 mod_ssl/2.0.59 OpenSSL/0.9.7i PHP/5.2.2
Apache API Version 20020903
Loaded Modules core mod_access mod_auth mod_auth_anon mod_auth_dbm mod_auth_digest mod_ext_filter mod_include mod_deflate mod_log_config mod_log_forensic mod_env mod_mime_magic mod_cern_meta mod_expires mod_headers mod_usertrack mod_unique_id mod_setenvif mod_version mod_ssl prefork http_core mod_mime mod_dav mod_status mod_autoindex mod_asis mod_info mod_cgi mod_dav_fs mod_vhost_alias mod_negotiation mod_dir mod_actions mod_speling mod_alias mod_rewrite mod_so mod_php5

mysql
MySQL Support enabled
Active Persistent Links 0
Active Links 0
Client API version 5.0.27
MYSQL_MODULE_TYPE no value
MYSQL_SOCKET /tmp/mysql.sock
MYSQL_INCLUDE no value
MYSQL_LIBS no value

Directive Local Value Master Value
mysql.allow_persistent On On
mysql.connect_timeout 60 60
mysql.default_host no value no value
mysql.default_password no value no value
mysql.default_port no value no value
mysql.default_socket no value no value
mysql.default_user no value no value
mysql.max_links Unlimited Unlimited
mysql.max_persistent Unlimited Unlimited
mysql.trace_mode Off Off

mysqli
MysqlI Support enabled
Client API library version 5.0.27
Client API header version 5.0.41
MYSQLI_SOCKET /tmp/mysql.sock

Directive Local Value Master Value
mysqli.default_host no value no value
mysqli.default_port 3306 3306
mysqli.default_pw no value no value
mysqli.default_socket no value no value
mysqli.default_user no value no value
mysqli.max_links Unlimited Unlimited
mysqli.reconnect Off Off

PDO
PDO support enabled
PDO drivers mysql, pgsql
pdo_mysql
PDO Driver for MySQL, client library version 5.0.27


hope you can help me, that I can use future releases of PhpED

thanks

KASI
View user's profileFind all posts by kasiSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 8256
Reply with quote
Quote:
When connecting to MySQL Server via PHP using old mysql-functions

I can hardly imagine how the debugger could be involved there... Anyway, if possible please create GDB (gnu debugger) backtrace for httpd process. All the details are listed there: http://bugs.php.net/bugs-generating-backtrace.php


Quote:
2. Problem is that SSH-setting in Accounts => Keys
and
Quote:
3...Because the configuration has moved to new config folder

We're working on this. It appears that sometimes PhpED does not create config subdirectory in user-profile\blahblahblah\nusphere\phepd. All we noticed is that it happens under Vista only. Fix will be provided shortly as soon as we narrow down the problem.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 02 Aug 2007
Posts: 12
Location: Hamburg Germany
Reply with quote
The problem with the SSH settings happened on window XP. Only the SSH defaults settings where updated, but not my own. So that are only 2 more so it is no problem to change them manually.

The bigger problem is the debugger, because I am not administrating the server. I will try to narrow the problem during weekend, so if you have some ideas what I should test give me a hint please.
Maybe the problem is close to that with MacOS mentioned in debugging section.

Thanks

KASI
View user's profileFind all posts by kasiSend private message


Joined: 22 May 2004
Posts: 76
Reply with quote
For what it is worth I had problems with the debugger as well. When I updated my phped it tells me that I need the 3.2 version of the debugger on the remote linux server. So I updated the version on the remote server with the one that comes with the latest version of phped. After updating it I was able to connect to the remote debugger via ssh tunnel, (same as before) but now some of php code on the site stops working - no errors, just blank page. I am using a php library developed by Interakt. Frankly I can't tell you more about this problem since I don't have the time to spend trying to trace it down. So I just rolled back everything to the previous version of phped and php debugger.

Jeff
View user's profileFind all posts by jphilapySend private message


Joined: 02 Aug 2007
Posts: 12
Location: Hamburg Germany
Reply with quote
It is strange but I know for sure when auto_prepend_file in php.ini is used:
1. using php from console an "Segmentation fault (core dumped)" always occurs.
2. using php as apache module sometimes an segmentation fault occurs (I could not see any logical reason when but on some projects always and on some never Rolling Eyes ).

So removing auto_prepend_file from php.ini does the trick (console and apache module) and it is working now.Laughing

thanks

KASI
View user's profileFind all posts by kasiSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 8256
Reply with quote
There are problems in dbg 3.2.2 discovered and we are going to provide hot fix asap.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 18 Jun 2007
Posts: 10
Reply with quote
I am experiencing the same problem.
Works good on apache 1.3.33 and php 4.3.10
crashes on
apache 1.3.37 and php 4.4.7

Any new progress on that hotfix?
thanks
Nick
View user's profileFind all posts by saleen34Send private message


Joined: 24 Oct 2006
Posts: 98
Location: Melbourne, AU
Reply with quote
Check here...

View user's profileFind all posts by LatsSend private message
[fixed] PhpED 5.0.1 install problem on Sun server
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic